Skip to main content

CRM identify

POST{{server}}/api/v1/dispenser/crmIdentify

This endpoint identifies the customer by an ID.

Response

The response contains the received customer data from CRM.

  • interfaceValue - it contains a segment value if greater than 0. The 0 means, it's not identified.

  • data1 .. data10 - Customer data values

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Body (json)​

{
"id": "1111-2222"
}

Code snippets​

curl -X POST '{{server}}/api/v1/dispenser/crmIdentify' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}' \
-H 'Content-Type: application/json' \
-d '{
"id": "1111-2222"
}'

Example​

Example request
POST{{server}}/api/v1/dispenser/crmIdentify
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Body
{
"id": "1111-2222"
}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length320
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"interfaceValue": "2",
"data1": "Simon Kemmer",
"data2": "9419 Schuppe Ramp",
"data3": "Nepal",
"data4": "Randalland",
"data5": "59633-7027",
"data6": "650-887-4735 x9994",
"data7": "[email protected]",
"data8": "89193685-35208619-30848571",
"data10": "1111-2222",
"id": "1111-2222"
}